package main

import (
	"enterprise/common/config"
	"enterprise/common/global"
	"enterprise/common/model"
	_ "enterprise/service/salary_calculator"
	"enterprise/worker"
)

func main() {
	config.LoadServerConfig()
	config.LoadAliPay()
	config.LoadCorpConfig()
	global.InitGlobal()

	worker.InitCorp()

	approve := worker.NewApproval(1002)
	approve.Sync("202503", model.ApprovalTypeCheckin)
	approve.Sync("202503", model.ApprovalTypeVacation)
	approve.Sync("202503", model.ApprovalTypeRefund)
	approve.Sync("202503", model.ApprovalTypePayment)
	select {}
}
